CacheConfig.GatewayHub.Gateway.GatewayQueue (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub.Gateway.GatewayQueue

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway.GatewayQueue

- Enclosing class:
    CacheConfig.GatewayHub.Gateway

      public static class CacheConfig.GatewayHub.Gateway.GatewayQueue
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `alertThreshold`
    `protected Boolean` | `batchConflation`
    `protected String` | `batchSize`
    `protected String` | `batchTimeInterval`
    `protected String` | `diskStoreName`
    `protected Boolean` | `enablePersistence`
    `protected String` | `maximumQueueMemory`
    `protected String` | `overflowDirectory`
    `protected Boolean` | `rollOplogs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayQueue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlertThreshold()` Gets the value of the alertThreshold property.
    `String` | `getBatchSize()` Gets the value of the batchSize property.
    `String` | `getBatchTimeInterval()` Gets the value of the batchTimeInterval property.
    `String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `String` | `getMaximumQueueMemory()` Gets the value of the maximumQueueMemory property.
    `String` | `getOverflowDirectory()` Gets the value of the overflowDirectory property.
    `Boolean` | `isBatchConflation()` Gets the value of the batchConflation property.
    `Boolean` | `isEnablePersistence()` Gets the value of the enablePersistence property.
    `Boolean` | `isRollOplogs()` Gets the value of the rollOplogs property.
    `void` | `setAlertThreshold(String value)` Sets the value of the alertThreshold property.
    `void` | `setBatchConflation(Boolean value)` Sets the value of the batchConflation property.
    `void` | `setBatchSize(String value)` Sets the value of the batchSize property.
    `void` | `setBatchTimeInterval(String value)` Sets the value of the batchTimeInterval property.
    `void` | `setDiskStoreName(String value)` Sets the value of the diskStoreName property.
    `void` | `setEnablePersistence(Boolean value)` Sets the value of the enablePersistence property.
    `void` | `setMaximumQueueMemory(String value)` Sets the value of the maximumQueueMemory property.
    `void` | `setOverflowDirectory(String value)` Sets the value of the overflowDirectory property.
    `void` | `setRollOplogs(Boolean value)` Sets the value of the rollOplogs property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alertThreshold

          protected String alertThreshold

    - #### batchConflation

          protected Boolean batchConflation

    - #### batchSize

          protected String batchSize

    - #### batchTimeInterval

          protected String batchTimeInterval

    - #### enablePersistence

          protected Boolean enablePersistence

    - #### diskStoreName

          protected String diskStoreName

    - #### rollOplogs

          protected Boolean rollOplogs

    - #### maximumQueueMemory

          protected String maximumQueueMemory

    - #### overflowDirectory

          protected String overflowDirectory

  - ### Constructor Detail

    - #### GatewayQueue

          public GatewayQueue()

  - ### Method Detail

    - #### getAlertThreshold

          public String getAlertThreshold()

      Gets the value of the alertThreshold property. possible object is `String`
      Returns:
        the alert threshold.

    - #### setAlertThreshold

          public void setAlertThreshold(String value)

      Sets the value of the alertThreshold property. allowed object is `String`
      Parameters:
        `value` - the alert threshold.

    - #### isBatchConflation

          public Boolean isBatchConflation()

      Gets the value of the batchConflation property. possible object is `Boolean`
      Returns:
        true if batch conflation is enabled.

    - #### setBatchConflation

          public void setBatchConflation(Boolean value)

      Sets the value of the batchConflation property. allowed object is `Boolean`
      Parameters:
        `value` - enables of disables batch conflation.

    - #### getBatchSize

          public String getBatchSize()

      Gets the value of the batchSize property. possible object is `String`
      Returns:
        the batch size.

    - #### setBatchSize

          public void setBatchSize(String value)

      Sets the value of the batchSize property. allowed object is `String`
      Parameters:
        `value` - the batch size.

    - #### getBatchTimeInterval

          public String getBatchTimeInterval()

      Gets the value of the batchTimeInterval property. possible object is `String`
      Returns:
        the batch time interval.

    - #### setBatchTimeInterval

          public void setBatchTimeInterval(String value)

      Sets the value of the batchTimeInterval property. allowed object is `String`
      Parameters:
        `value` - the batch time interval.

    - #### isEnablePersistence

          public Boolean isEnablePersistence()

      Gets the value of the enablePersistence property. possible object is `Boolean`
      Returns:
        true if persistence is enabled, false otherwise.

    - #### setEnablePersistence

          public void setEnablePersistence(Boolean value)

      Sets the value of the enablePersistence property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables persistence.

    - #### getDiskStoreName

          public String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`
      Returns:
        the disk store name.

    - #### setDiskStoreName

          public void setDiskStoreName(String value)

      Sets the value of the diskStoreName property. allowed object is `String`
      Parameters:
        `value` - the disk store name.

    - #### isRollOplogs

          public Boolean isRollOplogs()

      Gets the value of the rollOplogs property. possible object is `Boolean`
      Returns:
        true if opslog rolling is enabled, false otherwise.

    - #### setRollOplogs

          public void setRollOplogs(Boolean value)

      Sets the value of the rollOplogs property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disabled oplog rolling.

    - #### getMaximumQueueMemory

          public String getMaximumQueueMemory()

      Gets the value of the maximumQueueMemory property. possible object is `String`
      Returns:
        the maximum queue memory.

    - #### setMaximumQueueMemory

          public void setMaximumQueueMemory(String value)

      Sets the value of the maximumQueueMemory property. allowed object is `String`
      Parameters:
        `value` - the maximum queue memory.

    - #### getOverflowDirectory

          public String getOverflowDirectory()

      Gets the value of the overflowDirectory property. possible object is `String`
      Returns:
        the overflow directory.

    - #### setOverflowDirectory

          public void setOverflowDirectory(String value)

      Sets the value of the overflowDirectory property. allowed object is `String`
      Parameters:
        `value` - the overflow directory.